Name:                spatial4j
Version:             0.8
Release:             1
Summary:             A Geospatial Library for Java
License:             ASL 2.0
URL:                 https://projects.eclipse.org/projects/locationtech.spatial4j
Source0:             https://github.com/locationtech/spatial4j/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
BuildRequires:       mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:       mvn(com.google.code.maven-replacer-plugin:replacer) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.locationtech.jts:jts-core)
BuildRequires:       mvn(org.mockito:mockito-core) mvn(org.noggit:noggit)
BuildRequires:       mvn(org.slf4j:slf4j-simple)
BuildArch:           noarch
%description
Spatial4j is a general purpose spatial/geospatial Java library.
It's core capabilities are 3-fold: to provide common geospatially-aware shapes,
to provide distance calculations and other math, and to read and write the
shapes to strings.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%pom_remove_plugin de.thetaphi:forbiddenapis
%pom_remove_plugin org.jacoco:jacoco-maven-plugin
%mvn_alias org.locationtech.spatial4j:spatial4j com.spatial4j:spatial4j

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md FORMATS.md
%license asl-v20.txt notice.md

%files javadoc -f .mfiles-javadoc
%license asl-v20.txt notice.md

%changelog
* Tue Nov 8 2022 hkgy <kaguyahatu@outlook.com> - 0.8-1
- Upgrade to v0.8

* Fri Aug 14 2020 wangxiao <wangxiao65@huawei.com> - 0.7-1
- Package init
